For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTDelCallerID
        • POSTGetCallerIDs
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceCallerIDs

GetCallerIDs

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetCallerIDs
POST
/platform_api/GetCallerIDs
$curl -X POST https://api.voximplant.com/platform_api/GetCallerIDs \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "callerid_id": 9,
5 "callerid_number": "74959998877",
6 "active": false,
7 "code_entering_attempts_left": 10,
8 "verification_call_attempts_left": 5
9 },
10 {
11 "callerid_id": 11,
12 "callerid_number": "74951112233",
13 "active": true,
14 "verified_until": "2014-01-14"
15 }
16 ],
17 "total_count": 4,
18 "count": 2
19}

Gets the account callerIDs.

Allowed roles: Owner, Admin.

Example request: Get the two callerIDs.

Was this page helpful?
Previous

DelCallerID

Next

AddOutboundTestPhoneNumber

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

callerid_idintegerOptional
ID of the callerID object to filter
callerid_numberstringOptional
The phone number to filter
activebooleanOptional
Whether the account is active to filter
order_bystringOptional

The following values are available: ‘caller_number’ (ascent order), ‘verified_until’ (ascent order)

countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

Response

Successful response
resultlist of objects
total_countinteger
The total found record count
countinteger
The returned record count